﻿body {
    font-family: 'Ubuntu', sans-serif;
}

h1, h2, h3, h4, h5, h6, .card-title {
    font-family: 'Ubuntu', sans-serif;
}

.btn, .btn:hover {
    box-shadow: none;
    -webkit-box-shadow: none;
}

.intro-section {
    height: auto;
    padding-top: 85px;
}

@media (min-width: 992px) {
    .intro-section {
        height: auto;
        padding-top: 60px;
    }
}

.badge {
    padding: 4px 7px;
}

.bg-grey {
    background: #e9ecef !important;
}

/*TODO: decide how these should be generated in variables.less*/
/*.bg-image {
    background-color: transparent !important;
    background-image: url('../Images/bg-image.jpg') !important;
    background-size: cover;
    background-position: bottom
}*/

.bg-tan {
    background-color: #b9c1a0 !important;
}

/*.bg-trans {
    background-color: rgba(255, 255, 255, 0.5) !important;
}*/

.bg-blue {
    background-color: #e3f2fd;
}
/*
#navLogo {
    margin: 0 auto;
    height: 65px !important;
    padding: 0;
}*/
/* END background images / colors */

/* Side Menu */
#sidebar-wrapper {
    position: fixed;
    z-index: 1001;
    right: 0;
    width: 250px;
    height: 100%;
    -webkit-transition: all 0.4s ease 0s;
    -moz-transition: all 0.4s ease 0s;
    -ms-transition: all 0.4s ease 0s;
    -o-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
    transform: translateX(250px);
    background: #343a40;
    border-left: 1px solid rgba(255, 255, 255, 0.1);
}

.sidebar-nav {
    position: absolute;
    top: 0;
    width: 250px;
    margin: 0;
    padding: 0;
    list-style: none;
}

    .sidebar-nav li.sidebar-nav-item a {
        display: block;
        text-decoration: none;
        color: #fff !important;
        padding: 15px;
    }

    .sidebar-nav li a:hover {
        text-decoration: none;
        color: #fff !important;
        background: rgba(255, 255, 255, 0.2);
    }

    .sidebar-nav li a:active,
    .sidebar-nav li a:focus {
        text-decoration: none;
    }

    .sidebar-nav > .sidebar-brand {
        font-size: 1.2rem;
        background: rgba(52, 58, 64, 0.1);
        height: 80px;
        line-height: 50px;
        padding-top: 15px;
        padding-bottom: 15px;
        padding-left: 15px;
    }

        .sidebar-nav > .sidebar-brand a {
            color: #fff !important;
        }

            .sidebar-nav > .sidebar-brand a:hover {
                color: #fff !important;
                background: none;
            }

#sidebar-wrapper.active {
    right: 250px;
    width: -webkit-fill-available;
    width: fill-available;
    -webkit-transition: all 0.4s ease 0s;
    -moz-transition: all 0.4s ease 0s;
    -ms-transition: all 0.4s ease 0s;
    -o-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
}

.menu-toggle {
    position: fixed;
    right: 15px;
    top: 15px;
    width: 50px;
    height: 50px;
    text-align: center;
    color: #fff;
    background: rgba(52, 58, 64, 0.5);
    line-height: 50px;
    z-index: 1030;
}

    .menu-toggle:focus, .menu-toggle:hover {
        color: #fff;
    }

    .menu-toggle:hover {
        background: #343a40;
    }
/* END Side Menu */

/* Scroll to top */
.scroll-to-top {
    position: fixed;
    right: 15px;
    bottom: 15px;
    display: none;
    width: 50px;
    height: 50px;
    text-align: center;
    color: white;
    background: rgba(52, 58, 64, 0.5);
    line-height: 45px;
}

    .scroll-to-top:focus, .scroll-to-top:hover {
        color: white;
    }

    .scroll-to-top:hover {
        background: #343a40;
    }

    .scroll-to-top i {
        font-weight: 800;
    }

.service-icon {
    font-size: 45px;
    margin-bottom: 10px
}
/* END Scroll to top */

/* Modal override */
.modal-custom {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid transparent;
    border-radius: 0.3rem;
    outline: 0;
    border-radius: 0;
}

/*Hover Effects*/
.hover {
    background-color: rgba(208, 249, 174, .7);
}

.btn:hover, .btn:focus {
    opacity: 1;
}

.btn-default {
    color: #111111;
    background-color: #cccccc;
    border-color: #cccccc;
}

/*Custom stuff*/
.scrollable-y-5 {
    height: 70vh;
    overflow-y: scroll;
}

.facility-image {
    height: 200px;
    width: 100%;
    overflow: hidden;
    position: relative;
    background-size: cover;
}

.facility-mobile-image {
    height: 200px;
    overflow: hidden;
    background-size: cover;
}

.facility-title {
    font-size: 1.8rem !important;
    font-weight: 700 !important;
    margin-bottom: 0.75rem;
}

.facility-mobile-title {
    font-family: 'Archivo', sans-serif;
    font-weight: 900;
    background: rgba(52, 58, 64, 0.5);
    bottom: 0;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
    text-shadow: 1px 1px 1px #000;
    width: 100%;
}

.facility-mobile-weather {
    font-family: 'Archivo', sans-serif;
    font-weight: 900;
    background: rgba(225, 225, 225, 0.6);
    border-radius: 0px 6px 0px 0px;
    bottom: 1%;
    left: .75%;
    text-shadow: none;
    width: 120px;
    font-weight: bold;
    text-shadow: none;
    position: absolute;
    margin-left: 0;
    margin-right: auto;
    z-index: 1000;
}

@media only screen and (max-width: 450px) {
    .facility-mobile-weather {
        left: 1%;
    }
}

.facility-text {
    font-size: 1.5rem !important;
    color: #6c757d !important;
}


@media only screen and (max-width: 576px) {
    .facility-image {
        height: 150px;
    }

    .content-wrapper {
        padding-top: 0;
    }
}

@media only screen and (max-width: 768px) {
    .facility-title {
        font-size: 1rem;
    }

    .facility-text {
        font-size: .7rem;
    }
}


/*TODO: Add account-header class to variables.less
.account-header {
    background-color: #b9c1a0;
}

    .account-header .nav-link.active, .nav-tabs .nav-item.show .nav-link {
        background-color: #b9c1a0;
    }*/
/* 
@media (min-width:1025px) {
    
    html {
        height: 100%;
        box-sizing: border-box;
    }
    *,
    *:before,
    *:after {
        box-sizing: inherit;
    }
    body {
        position: relative;
        margin: 0;
        padding-bottom: 6rem;
        min-height: 100%;
    }
    footer {
        position: absolute;
        right: 0;
        bottom: 0;
        left: 0;
    }
}
 */

html, body {
    height: 100%;
    min-height: 100%;
}


.Content-Wrapper {
    margin: 0 auto;
    padding-bottom: 20px;
    padding-top: 64px;
    width: 95%;
    min-height: Calc(100% - 60px); /* 100% - header - footer */
}

.footer-responsive {
    position: fixed !important;
    z-index: 1;
}

.loading-overlay {
    position: relative;
    width: 100%;
}

.overlay {
    position: relative;
    height: 0;
    width: 0;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    opacity: 0;
    transition: .5s ease;
    background: rgba(255,255,255,.6);
}

.loading-message {
    color: black;
    font-size: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    text-align: center;
}

.bg-lite-green {
    background-color: #b9c1a0 !important;
}

.go-row {
    display: flex;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
}

.go-col {
    position: relative;
    width: 100%;
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px;
    flex-basis: 0;
    flex-grow: 1;
    max-width: 100%;
}

@media only screen and (max-width: 520px) {
    .go-col {
        flex-basis: auto;
    }
}

.black {
    color: #000000;
    font-weight: bold;
}

    .black:hover {
        color: #333333;
    }


.non-sticky {
    margin-bottom: 20px;
}

.pageMargin {
    margin-left: 3.4%;
    margin-right: 3.4%;
}


/*SEARCH FACILITIES INPUT SIZING*/
.searchFacilities {
    min-width: 275px;
}



@media only screen and (max-width: 400px) {
    .searchFacilities {
        min-width: 0px;
        font-size: .70em;
    }



    #searchWrapper {
        padding: 5px !important;
    }
}



@media only screen and (max-width: 375px) {
    .searchFacilities {
        font-size: .70em;
        padding: 6px;
    }
}

#updateSystemMessage {
    max-width: 99%;
    margin: 0 auto;
}


.download-img {
    width: 162px;
}

@media only screen and (max-width: 445px) {
    .download-img {
        width: 125%;
        min-width: 80px;
    }
}

@media only screen and (max-width:768px) {
    .responsive-row-sm {
        margin-top: 3.5rem;
    }
}


.navbar-inverse {
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);
}


.panel-title {
    font-size: 20px;
}

.modal-message{
    max-height:100px;
    overflow-y:auto;
}

.tabletBtn {
    line-height: 30px;
    padding-top: 20px;
    padding-bottom: 20px;
}

.referral-url {
    white-space: nowrap;
    display: block;
    overflow: hidden;
    max-width: inherit;
    text-overflow: ellipsis;
}